Start a conversation
curl --request POST \
--url https://api.impellabs.tech/api/v1/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21",
"channel_id": "7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60"
}
'import requests
url = "https://api.impellabs.tech/api/v1/cases"
payload = {
"contact_id": "c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21",
"channel_id": "7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21',
channel_id: '7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60'
})
};
fetch('https://api.impellabs.tech/api/v1/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact_id' => 'c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21',
'channel_id' => '7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/cases"
payload := strings.NewReader("{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/cases")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}"
response = http.request(request)
puts response.read_bodyConversations
Start a conversation
Opens a conversation with a contact on a channel, or returns the open one. Sends no message. Send the first message with the messages route.
POST
/
api
/
v1
/
cases
Start a conversation
curl --request POST \
--url https://api.impellabs.tech/api/v1/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21",
"channel_id": "7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60"
}
'import requests
url = "https://api.impellabs.tech/api/v1/cases"
payload = {
"contact_id": "c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21",
"channel_id": "7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21',
channel_id: '7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60'
})
};
fetch('https://api.impellabs.tech/api/v1/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact_id' => 'c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21',
'channel_id' => '7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/cases"
payload := strings.NewReader("{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/cases")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact_id\": \"c91e5b0a-2d6f-4f0e-8c1d-0a7c7b6f3e21\",\n \"channel_id\": \"7b1d3c20-5a4e-4d6f-8b9a-1c2d3e4f5a60\"\n}"
response = http.request(request)
puts response.read_body